// テストに必要なクラスをインポートする
import static org.junit.jupiter.api.Assertions.assertEquals;

// JUnit 5の@Testアノテーションを使用する
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class TestSort {

    @Test
    @DisplayName("Test bubble sort")
    void testBubbleSort() {
        int[] arr = {3, 2, 1};
        Sort sort = new Sort();
        sort.bubbleSort(arr);
        // 今回は短い配列なので要素を1つずつ比較するだけでOK
        assertEquals(1, arr[0]);
        assertEquals(2, arr[1]);
        assertEquals(3, arr[2]);
    }
}
