# 『毎日使える！ Visual Studio Code』サンプルコード

技術評論社刊『毎日使える！ Visual Studio Code』（上田裕己著）のサンプルコードです。

第6章-第10章で取り扱ったソースコードをそれぞれ対応するリポジトリに格納しています。

## 第6章：JavaScript/TypeScriptによる開発

* [Hello JavaScript](./6/hello-javascript)
* [Hello TypeScript](./6/hello-typescript)
* [ReactによるWebアプリケーション開発](./6/my-app)

## 第7章：Javaによる開発

* [Hello Java](./7/hello-java)
* [Spring BootによるWebアプリケーション開発](./7/demo)

## 第8章：Pythonによる開発

* [Hello Python](./8/hello-python)
* [Jupyter Notebookによるデータ分析](./8/hello-jupyter)

## 第9章：拡張機能開発入門

* [Hello拡張機能](./9/hello-vscode)
* [UI拡張によるショートカット機能の開発 ── よく使うコマンドをボタンで呼び出す](./9/my-editor-ui)

## 第10章：実践的な拡張機能開発

* [Hello Language Server Protocol](./10/sample)
* [リンター機能の開発 ── 辞書に追加したコードを自動修正](./10/vscode-completion)
* [コード補完機能の開発 ── よく使う単語をコード補完](./10/vscode-linter)
